Subject: Re: Samba for Cygwin
From: Robert Collins <[email-masked]>
To: Charles Wilson <[email-masked]>
Cc: [email-masked]
Date: 21 Aug 2001 09:52:33 +1000

On 20 Aug 2001 17:30:42 -0400, Charles Wilson wrote:
> Michael F. March wrote:
> 
> > Even if no one ever used SAMBA for Cygwin, the port would not
> > be in vain. I am certain that a SAMBA port would result in a 
> > more hardier Cygwin POSIX environment for future ports of other
> > apps that might experience the same porting issues if SAMBA was
> > not ported first.
> 
> 
> Sure, but why not expend that effort on a port that is USEFUL.  You'll 
> still end up "hardening" Cygwin's POSIX stuff, and in the end you'll 
> have a NEW ability, not a (slower) rehash of an EXISTING ability. 
> (worse, that slower rehash will claim to support certain features that 
> it really isn't capable of doing: "samba" implies a certain featureset, 
> but not all of those will be possible on cygwin.  The intersection of 
> the featureset of cygwin-samba and real-samba will change depending on 
> (Win95 / Win98 / WinMe / WinNT / Win2K / WinXP ) + ( FAT / FAT32 / 
> NTFS-NT4 / NTFS-NT5 ) + CYGWIN=(ntea / ntsec / smbntsec)

There is one valid use for at least part of SAMBA on cygwin - NTLMSSP
integration for squid. It is probably possible with pure win32 calls,
but as most/all of them are undocumented it would be a hard call. BTW:
This isn't hyopthetical, the current ntlmssp helper for squid-ntlm
(which uses a samba library) runs fine on win95 and up, as long as there
is a DC on the net somewhere for it to talk to. 

> > I, for one, look forward to a
> > SAMBA port.
> 
> 
> I do not.  Join me in my nightmare:
> 
...
> Or this:
> 
> "I just set up samba 2.2 as a PDC on my WinMe machine. It doesn't work"

This is a valid goal actually :}.

> 
> My solution for these and other problems: procmail any message 
> containing samba and cygwin to the bitbucket.

lol.
Rob

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/